Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456051 - kernel: fix array out of bounds when mounting with selinux options [rhel-4.8]
Summary: kernel: fix array out of bounds when mounting with selinux options [rhel-4.8]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Eugene Teo (Security Response)
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 456052 461297
TreeView+ depends on / blocked
 
Reported: 2008-07-21 08:47 UTC by Eugene Teo (Security Response)
Modified: 2009-05-18 19:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 19:16:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upstream patch for this issue (deleted)
2008-07-21 08:50 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Eugene Teo (Security Response) 2008-07-21 08:47:34 UTC
Description of problem:
Given an illegal selinux option it was possible for match_token to work in
random memory at the end of the match_table_t array.

Note that privilege is required to perform a context mount, so this issue is
effectively limited to root only.

Comment 2 Eugene Teo (Security Response) 2008-07-21 08:50:43 UTC
Created attachment 312235 [details]
Upstream patch for this issue

Comment 4 RHEL Product and Program Management 2008-07-21 13:42:06 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 RHEL Product and Program Management 2008-09-03 13:03:03 UTC
Updating PM score.

Comment 7 Vivek Goyal 2008-09-09 21:43:41 UTC
Committed in 78.8.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 10 errata-xmlrpc 2009-05-18 19:16:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.